com.hazelcast.jet.function

## Interface BiPredicateEx<T,U>

- All Superinterfaces:
    BiPredicate<T,U>, Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface BiPredicateEx<T,U>
      extends BiPredicate<T,U>, Serializable

  `Serializable` variant of `java.util.function.BiPredicate` which declares checked exception.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default BiPredicateEx<T,U>` | `and(BiPredicateEx<? super T,? super U> other)` `Serializable` variant of `java.util.function.BiPredicate#and(BiPredicate)`.
    `default BiPredicateEx<T,U>` | `negate()` `Serializable` variant of `java.util.function.BiPredicate#negate()`.
    `default BiPredicateEx<T,U>` | `or(BiPredicateEx<? super T,? super U> other)` `Serializable` variant of `java.util.function.BiPredicate#or(BiPredicate)`.
    `default boolean` | `test(T t, U u)`
    `boolean` | `testEx(T t, U u)` Exception-declaring version of `BiPredicate.test(T, U)`.

    - ### Methods inherited from interface java.util.function.BiPredicate

      `and, or`

- - ### Method Detail

    - #### testEx

          boolean testEx(T t,
                         U u)
                  throws Exception

      Exception-declaring version of `BiPredicate.test(T, U)`.
      Throws:
        `Exception`

    - #### test

          default boolean test(T t,
                               U u)

      Specified by:
        `test` in interface `BiPredicate<T,U>`

    - #### and

          default BiPredicateEx<T,U> and(BiPredicateEx<? super T,? super U> other)

      `Serializable` variant of `java.util.function.BiPredicate#and(BiPredicate)`.

    - #### negate

          default BiPredicateEx<T,U> negate()

      `Serializable` variant of `java.util.function.BiPredicate#negate()`.
      Specified by:
        `negate` in interface `BiPredicate<T,U>`

    - #### or

          default BiPredicateEx<T,U> or(BiPredicateEx<? super T,? super U> other)

      `Serializable` variant of `java.util.function.BiPredicate#or(BiPredicate)`.

Copyright © 2019. All rights reserved.